cilc(1)

NAME
cilc - Mono CIL-to-C binding generator

SYNOPSIS
cilc [options] assembly target

DESCRIPTION
cilc is the Mono CIL-to-C binding generator. It takes a CIL assembly as input and generates a directory of C sources which, when compiled, provide a C interface to the classes contained within that assembly by means of a shared object library.

Generated sources make use of the Mono embedding API. Thus a complete Mono development environment must be available on the development system and a complete Mono runtime environment must be available on target systems.

AUTHOR
Written by Alp Toker <alp@atoker.com>

SEE ALSO
mono(1)